## powerpc-ibm-utils 1.0.2

=== Makefile ===
#
# Makefile for powerpc-utils
# 

include rules.mk

.SILENT:

FILES = README COPYRIGHT
SUBDIRS = cmds scripts doc

TARBALL_FILES += $(FILES) Changelog

all:
	@echo "Building cmds files..."
	@$(MAKE) -C cmds
	@echo "Building scripts files..."
	@$(MAKE) -C scripts
	@echo "Building doc files..."
	@$(MAKE) -C doc

install: all
	@$(call install_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)

uninstall: 
	@$(call uninstall_doc,$(FILES),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

rpm: all
	@echo "Creating rpm..."
	@export DESTDIR=$(SHIPDIR); $(MAKE) install
	@$(RPM) -bb -v $(SPECFILE)
	@rm -rf $(SHIPDIR)

docs:
	@$(MAKE) -C doc docs

tarball: clean
	@echo "Creating release tarball..."
	@$(BUILD_TARBALL)

devball: clean
	@echo "Creating snapshot tarball..."
	@$(BUILD_DEVBALL)

clean:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
	@$(CLEAN) -rf $(SHIPDIR) $(TARBALL) $(DEVBALL) *~

=== cmds/Makefile ===
#
# Makefile for powerpc-utils/cmds
#

include ../rules.mk

CMDS = nvram 

all: $(CMDS)

nvram: nvram.o
	@echo "LD $(WORK_DIR)/$@"
	@$(CC) -o $@ $^ -ldl

install: all
	@$(call install_sbin,$(CMDS),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(CMDS),$(DESTDIR))

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f $(CMDS) *.o *~

=== doc/Makefile ===
#
# Makefile for powerpc-utils/doc
# 

include ../rules.mk

MANPAGES8 = snap.8 bootlist.8 ofpathname.8

SUBDIRS = nvram

all: $(MANPAGES8)
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d;)

install: all
	@$(call install_man,$(MANPAGES8),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d install;)

uninstall:
	@$(call uninstall_man,$(MANPAGES8),$(DESTDIR))
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d uninstall;)

docs:
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d docs;)

clean:	
	@echo "Cleaning up $(WORK_DIR) files..."
	@$(foreach d,$(SUBDIRS), $(MAKE) -C $d clean;)
	@rm -f *~

=== scripts/Makefile ===
#
# Makefile for powerpc-utils/scripts
#

include ../rules.mk

SCRIPTS = snap bootlist ofpathname

all: $(SCRIPTS)

install: all
	@$(call install_sbin,$(SCRIPTS),$(DESTDIR))

uninstall:
	@$(call uninstall_sbin,$(SCRIPTS),$(DESTDIR))

clean:
	@echo "Cleaning up $(WORK_DIR) files..."
	@rm -f *~

=== doc/nvram/Makefile ===
#
# Makefile for powerpc-utils/doc/nvram
# 

include ../../rules.mk

MANPAGE = nvram.8

DOXYGEN_CFG = nvram.doxycfg

all: $(MANPAGE)

install: all
	@$(call install_man,$(MANPAGE),$(DESTDIR))

uninstall: 
	@$(call uninstall_man,$(MANPAGE),$(DESTDIR))

docs: $(DOXYGEN_CFG)
	@echo "Creating $(WORK_DIR) doxygen docs..."
	@$(DOXYGEN) $(DOXYGEN_CFG) >/dev/null

clean: 
	@rm -rf html latex *~

## powerpc-ibm-utils 1.1.0

=== cmds/Makefile ===
--- 
+++ 
@@ -4,13 +4,17 @@
 
 include ../rules.mk
 
-CMDS = nvram 
+CMDS = nvram lsprop
 
 all: $(CMDS)
 
 nvram: nvram.o
 	@echo "LD $(WORK_DIR)/$@"
 	@$(CC) -o $@ $^ -ldl
+
+lsprop: lsprop.o
+	@echo "LD $(WORK_DIR)/$@"
+	@$(CC) -o $@ $^
 
 install: all
 	@$(call install_sbin,$(CMDS),$(DESTDIR))

=== scripts/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include ../rules.mk
 
-SCRIPTS = snap bootlist ofpathname
+SCRIPTS = snap bootlist ofpathname ppc64_cpu
 
 all: $(SCRIPTS)

## powerpc-ibm-utils 1.2.12

=== debian/changelog ===
powerpc-ibm-utils (1.2.12-1) unstable; urgency=low

  * QA upload.
  * Set the maintainer to Debian QA Group <packages@qa.debian.org> and remove
    the uploaders.
  * New upstream version:
    - Fixes build with non-bash shells (closes: #612543).
    - Fixes ofpathname (closes: #607001)
    - Add a build-depends on librtas-dev, librtasevent-dev.
  * Add a depends on bc for ofpathname (closes: #625728).
  * Switch to 3.0 (quilt) format.
  * Add build-arch and build-indep targets.
  * Bump Standards-Version to 3.9.3.
  * Remove Vcs-* entries from debian/control as they are not valid anymore.
  * Add ppc64 to the list of architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 29 Jun 2012 23:54:32 +0000

powerpc-ibm-utils (1.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #436937)
    + Write and add a manpage for the ppc64_cpu utility.
    + Update long description in debian/control to include the
      ppc64_cpu utility.
  * These utilities are not really tied to a specific bootloader,
    such as yaboot, because grub2 makes use of ofpathname. Therefore,
    instead of the Yaboot Maintainers Team, set the maintainer to me.
  * Switch from dpatch to quilt.
  * Bump Standards-Version to 3.7.3.
  * Add the Homepage field and remove it from the long description.
  * Add the Vcs-Git/Vcs-Browser fields.
  * Add the DM-Upload-Allowed field.
  * Fix lintian warning "debian-rules-ignores-make-clean-error
    line 44".
  * Remove unused configure target in debian/rules.
  * Remove the lsprop utility which is already in the powerpc-utils
    package.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Tue, 05 Feb 2008 15:40:05 +0100

powerpc-ibm-utils (1.0.2-1) unstable; urgency=low

  * Initial release. (Closes: #386675)
  * Set priority/section to important/utils like the powerpc-utils
    package.

 -- Aurélien GÉRÔME <ag@roxor.cx>  Sun, 24 Sep 2006 18:49:59 +0200

=== debian/control ===
Source: powerpc-ibm-utils
Section: utils
Priority: important
Maintainer: Debian QA Group <packages@qa.debian.org> 
Build-Depends: debhelper (>= 7), librtas-dev, librtasevent-dev
Standards-Version: 3.9.3
Homepage: http://powerpc-utils.ozlabs.org/
DM-Upload-Allowed: yes

Package: powerpc-ibm-utils
Architecture: powerpc ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 3), bc
Description: utilities for maintenance of IBM PowerPC platforms
 The powerpc-ibm-utils package provides the utilities listed below
 which are intended for the maintenance of PowerPC platforms. Further
 documentation for each of the utilities is available from their
 respective man pages.
 .
  * nvram - NVRAM access utility
  * bootlist - boot configuration utility
  * ofpathname - translate logical device names to OF names
  * snap - system configuration snapshot
  * ppc64_cpu - cpu settings utility

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Get flags from dpkg-buildflags
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		./configure --prefix=/usr
	$(MAKE)
	touch $@

build-indep:
# Nothing to do by default.

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f powerpc-utils.spec
	rm -f build-arch-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/powerpc-ibm-utils
	# Remove an upstream non-FHS directory.
	rm -rf $(CURDIR)/debian/powerpc-ibm-utils/usr/share/doc/packages/

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/manpages/*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

## powerpc-ibm-utils 1.2.20

=== debian/changelog ===
powerpc-ibm-utils (1.2.20-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release, with ofpathname and lsslot fixes.
  * ofpathname should work on all platforms now (closes: #611588),
    though still doesn't handle appending partition info (#405337)

 -- Adam Conrad <adconrad@debian.org>  Sun, 23 Mar 2014 11:13:24 -0600

powerpc-ibm-utils (1.2.19-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release (closes: #737112)
  * Convert to dh(1) and bump build-dep to debhelper 9.
  * Drop obsolete debian/patches.
  * Enable build on ppc64el.
  * Update ppc64_cpu manpage with new options.
  * Add missing build-dep on zlib1g-dev.

 -- Adam Conrad <adconrad@debian.org>  Wed, 12 Mar 2014 13:50:07 -0600

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: utils
 Priority: important
 Maintainer: Debian QA Group <packages@qa.debian.org> 
-Build-Depends: debhelper (>= 7), librtas-dev, librtasevent-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), librtas-dev, librtasevent-dev, zlib1g-dev
+Standards-Version: 3.9.5
 Homepage: http://powerpc-utils.ozlabs.org/
-DM-Upload-Allowed: yes
 
 Package: powerpc-ibm-utils
-Architecture: powerpc ppc64
+Architecture: powerpc ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}, bash (>= 3), bc
 Description: utilities for maintenance of IBM PowerPC platforms
  The powerpc-ibm-utils package provides the utilities listed below

=== debian/watch ===
version=3
http://powerpc-utils.ozlabs.org/releases/powerpc-utils-([[:digit:]].*)\.tar\.gz

## powerpc-ibm-utils 1.2.22

=== debian/changelog ===
powerpc-ibm-utils (1.2.22-1) unstable; urgency=medium

  * New upstream release, with more little-endian fixes (LP: #1359422)

 -- Adam Conrad <adconrad@0c3.net>  Fri, 03 Oct 2014 15:50:11 -0600

powerpc-ibm-utils (1.2.21-1) unstable; urgency=medium

  * Adopt powerpc-ibm-utils, in conjuction with IBM (closes: #677761)
  * New upstream release, with several endianness and other bug fixes.
  * Define the new --threads-per-core option in our ppc64_cpu manpage.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 29 Jun 2014 23:03:37 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powerpc-ibm-utils
 Section: utils
 Priority: important
-Maintainer: Debian QA Group <packages@qa.debian.org> 
+Maintainer: Adam Conrad <adconrad@0c3.net>
+Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Build-Depends: debhelper (>= 9), librtas-dev, librtasevent-dev, zlib1g-dev
 Standards-Version: 3.9.5
 Homepage: http://powerpc-utils.ozlabs.org/

## powerpc-ibm-utils 1.2.25

=== debian/changelog ===
powerpc-ibm-utils (1.2.25-1) unstable; urgency=medium

  * New upstream release, with LE and hotplug fixes (LP: #1441856)
  * Drop our ppc64_cpu manpage, upstream has written a better one.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 13 Apr 2015 11:14:55 -0600

powerpc-ibm-utils (1.2.24-1) unstable; urgency=medium

  * New upstream release, with still more LE fixes (closes: #767854)
  * Update debian/watch site from ozlabs to sf.net (closes: #774958)

 -- Adam Conrad <adconrad@0c3.net>  Fri, 16 Jan 2015 16:04:49 -0700

## powerpc-ibm-utils 1.2.26

=== debian/changelog ===
powerpc-ibm-utils (1.2.26-1~14.04.2) trusty; urgency=medium

  * mpath_mappings.patch: Map /dev/mapper/mpath* to the right dm-* devices
    even if they don't come up as symlinks but actual nodes. (LP: #1501015)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Oct 2015 13:59:32 +0100

powerpc-ibm-utils (1.2.26-1~14.04.1) trusty; urgency=medium

  * Straight backport to trusty for ppc64el hardware enablement.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 04 Aug 2015 13:19:45 -0600

powerpc-ibm-utils (1.2.26-1) unstable; urgency=medium

  * New upstream release, with many drmgr memory fixes (LP: #1455580)
  * debian/control: Bump to Standards-Version 3.9.6, with no changes.

 -- Adam Conrad <adconrad@0c3.net>  Mon, 27 Jul 2015 15:03:45 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: powerpc-ibm-utils
 Section: utils
 Priority: important
-Maintainer: Adam Conrad <adconrad@0c3.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Adam Conrad <adconrad@0c3.net>
 Uploaders: Frederic Bonnard <frederic@fr.ibm.com>
 Build-Depends: debhelper (>= 9), librtas-dev, librtasevent-dev, zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://powerpc-utils.ozlabs.org/
 
 Package: powerpc-ibm-utils

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

# Remove non-FHS doc directory installed by upstream Makefile:
override_dh_auto_install:
	dh_auto_install
	rm -rf debian/powerpc-ibm-utils/usr/share/doc/packages

=== debian/watch ===
version=3
http://sf.net/powerpc-utils/powerpc-utils-([\d\.]+)\.tar\.gz
